Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06370 Save/Restore Critical (emulator) Always Sep 5, 2016, 22:27 Jul 19, 2017, 16:23
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To tedgreen Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver vegas.cpp
Version 0.177 Fixed in Version 0.188 Build Normal
Summary 06370: sf2049se, sf2049te: Crashes on reload (-str 8) in a staggered -str 20 run
Description
Exception at EIP=0000000002684e5a (dmadac_set_frequency(dmadac_sound_device**, unsigned char, double)+0x002a): ACCESS VIOLATION
While attempting to read memory at 00000000000003a0
-----------------------------------------------------
Stack crawl:
  00000000002285f0: 0000000002684e5a (dmadac_set_frequency(dmadac_sound_device**, unsigned char, double)+0x002a)
  00000000002286b0: 00000000012528a0 (dcs_audio_device::recompute_sample_rate()+0x00e0)
  0000000000228770: 000000000125699d (dcs_audio_device::sound_tx_callback(address_space&, unsigned int, unsigned int, unsigned int)+0x024d)
  00000000002287b0: 0000000002b54d8e (devcb_write_base::write32_adapter(address_space&, unsigned int, unsigned long long, unsigned long long)+0x003e)
  00000000002287f0: 000000000388cd0e (adsp21xx_device::write_reg3(int, int)+0x01ce)
  0000000000228870: 0000000001ba487c (adsp21xx_device::execute_run()+0x1c2c)
  0000000000228910: 0000000002c1abeb (device_scheduler::timeslice()+0x018b)
  0000000000228990: 0000000002bdfcad (running_machine::run(bool)+0x01dd)
  000000000022f3b0: 000000000181efef (mame_machine_manager::execute()+0x015f)
  000000000022f8b0: 00000000018833d1 (cli_frontend::execute(int, char**)+0x0fa1)
  000000000022f920: 000000000181dcc5 (emulator_info::start_frontend(emu_options&, osd_interface&, int, char**)+0x0035)
  000000000022fd60: 000000000177d3bb (utf8_main(int, char**)+0x012b)
  000000000022fe50: 000000000300322c (wmain+0x018c)
  000000000022ff20: 000000000040140c (__tmainCRTStartup+0x025c)
  000000000022ff50: 000000000040153b (mainCRTStartup+0x001b)
  000000000022ff80: 0000000076ab59bd (BaseThreadInitThunk+0x000d)
  000000000022ffd0: 0000000076cea2e1 (RtlUserThreadStart+0x0021)
Steps To Reproduce clear nvram/diff files for sf2049se
== mame sf2049se -autosave -str 4
let run and return to prompt
== mame sf2049se -autosave -str 8
crash happens
Additional Information
Flags
Regression Version 0.177
Affected Sets / Systems sf2049se, sf2049te
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13116
B2K24
Moderator
Sep 6, 2016, 03:15
Confirmed on Windows 10 Pro X64 with baseline official release binary.
User avatar
No.13193
Osso
Developer
Sep 21, 2016, 13:22
Regression: http://git.redump.net/mame/commit/src/mame/audio/dcs.cpp?id=585cfd07121c315b476bb0581431248fe786f513